﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WlasciwosciFigur
{
    public partial class Form1 : Form
    {
        private Figura figura;
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //usuń poprzednie wystąpienie klasy
            if(figura!= null){ figura = null; }
            int n=Convert.ToInt32(textBox1.Text);
            figura = new Figura(n);
            figura.UstawLosoweDlugosciBokow();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (figura == null || figura.IleOdcinkow < 1)
            {
                MessageBox.Show(
                 "Figura nie została utworzona",
                 "Komunikat",
                 MessageBoxButtons.OK,
                 MessageBoxIcon.Information
                );
                return;
            }
            textBox2.Clear();
            foreach(float o in figura.Odcinek)
                textBox2.AppendText(o.ToString("F2")+Environment.NewLine);  
        }
    }
}
